Error:: While installing openoffice debian menus

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Error:: While installing openoffice debian menus

Nikhil Gupta
Hi
I built openoffice on my Ubuntu(14.04)
The build successfully run with no error message.
But when i tried to install openoffice debian menus
Following error shows:
dpkg: error processing archive /home/nikhil/help/aoo/main/instsetoo_native/
unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb
(--install):
 trying to overwrite '/usr/bin/soffice', which is also in package
libreoffice-common 1:4.2.8-0ubuntu5.3
/usr/bin/gtk-update-icon-cache

Please help
Reply | Threaded
Open this post in threaded view
|

Re: Error:: While installing openoffice debian menus

F C. Costero
Hi Nikhil,
Try purging LibreOffice with
sudo apt-get purge LibreOffice*
I did this before installing OpenOffice on my Linux Mint system and it
installed with no error. I was then able to download LibreOffice from the
LibreOffice site and install that in parallel with OpenOffice. I believe
the error you are encountering is seen with any OpenOffice installation on
Ubuntu and is not a result of your build process. See
https://forum.openoffice.org/en/forum/viewtopic.php?f=74&t=50119#p228095

Best regards,
Francis



On Sat, Jan 26, 2019 at 5:22 PM Nikhil Gupta <[hidden email]>
wrote:

> Hi
> I built openoffice on my Ubuntu(14.04)
> The build successfully run with no error message.
> But when i tried to install openoffice debian menus
> Following error shows:
> dpkg: error processing archive /home/nikhil/help/aoo/main/instsetoo_native/
>
> unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb
> (--install
> <http://unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb(--install>
> ):
>  trying to overwrite '/usr/bin/soffice', which is also in package
> libreoffice-common 1:4.2.8-0ubuntu5.3
> /usr/bin/gtk-update-icon-cache
>
> Please help
>
Reply | Threaded
Open this post in threaded view
|

Re: Error:: While installing openoffice debian menus

jose.r.r
In reply to this post by Nikhil Gupta
Niltze [Hello]-

On 2019-01-26 16:22, Nikhil Gupta wrote:

> Hi
> I built openoffice on my Ubuntu(14.04)
> The build successfully run with no error message.
> But when i tried to install openoffice debian menus
> Following error shows:
> dpkg: error processing archive
> /home/nikhil/help/aoo/main/instsetoo_native/
> unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb
> (--install):
>  trying to overwrite '/usr/bin/soffice', which is also in package
> libreoffice-common 1:4.2.8-0ubuntu5.3
> /usr/bin/gtk-update-icon-cache
>
> Please help

As root and/or with sudo privilege make a backup of /usr/bin/soffice and
force the installation of the DEB package as:
dpkg --force-all -i oo-package.deb

After OO package successfully installs, analyze: ls -l /usr/bin/soffice
You will find that it is a symbolic link to
/opt/openoffice4/program/soffice

Accordingly, you can make a proper sym link more relevant to OO, i.e.,
as root [or sudo]:
cd /usr/bin
ln -s /opt/openoffice4/program/soffice apacheoo

*proceed* to make another relevant link:
cd /opt/openoffice4/program/
ln -s soffice.bin apacheoo.bin

That's it! Go back and delete (if necessary) and restore from backup the
original /usr/bin/soffice.

Now as a normal user, you can start OO from any shell by simply typing:
apacheoo &
at any command prompt.


**For hard core Apache OO users**

Now, assuming you are not using GNOME as your Desktop GUI, if I were you
and LibreOffice had no *nasty* dependency on GNOME, I would just purge
LibreOffice altogether ;-)

apt-get purge $(dpkg-query -l "*libreoffice*" | grep ^ii | cut -d' '
-f3)

< https://metztli.it/readOnlyEphemeral/libreoffice-gnome-dependency.png 
 >

which is what I do in every Metztli Reiser4 Debian -based installation
for AMD64, since, if the user still decides to purge LibreOffice *but*
keep GNOME, I do install my non-LibreOffice-dependency gnome Debian
packages over originals *but* version(s) may be different in Ubuntu.

gnome_3.22+3.1_amd64.deb
gnome-core_3.22+3.1_amd64.deb

<
https://sourceforge.net/projects/metztli-reiser4/files/No-LibreOffice-dependency_GNOME/ 
 >


Good luck!


--
Jose R R
http://metztli.it
---------------------------------------------------------------------------------------------
Download Metztli Reiser4: Debian Stretch w/ Linux 4.20 AMD64
---------------------------------------------------------------------------------------------
feats ZSTD compression https://sf.net/projects/metztli-reiser4/
-------------------------------------------------------------------------------------------
Official current Reiser4 resources: https://reiser4.wiki.kernel.org/

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Error:: While installing openoffice debian menus

Nikhil Gupta
In reply to this post by F C. Costero
Thanks for the suggestion. It worked as the way you said.Now I am able to
successfully install openoffice on my computer.

On Sun, Jan 27, 2019 at 9:46 AM F C. Costero <[hidden email]> wrote:

> Hi Nikhil,
> Try purging LibreOffice with
> sudo apt-get purge LibreOffice*
> I did this before installing OpenOffice on my Linux Mint system and it
> installed with no error. I was then able to download LibreOffice from the
> LibreOffice site and install that in parallel with OpenOffice. I believe
> the error you are encountering is seen with any OpenOffice installation on
> Ubuntu and is not a result of your build process. See
> https://forum.openoffice.org/en/forum/viewtopic.php?f=74&t=50119#p228095
>
> Best regards,
> Francis
>
>
>
> On Sat, Jan 26, 2019 at 5:22 PM Nikhil Gupta <[hidden email]>
> wrote:
>
> > Hi
> > I built openoffice on my Ubuntu(14.04)
> > The build successfully run with no error message.
> > But when i tried to install openoffice debian menus
> > Following error shows:
> > dpkg: error processing archive
> /home/nikhil/help/aoo/main/instsetoo_native/
> >
> >
> unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb
> > (--install
> > <
> http://unxlngx6.pro/Apache_OpenOffice/deb/install/en-US/DEBS/desktop-integration/openoffice4.2-debian-menus_4.5-9900_all.deb(--install
> >
> > ):
> >  trying to overwrite '/usr/bin/soffice', which is also in package
> > libreoffice-common 1:4.2.8-0ubuntu5.3
> > /usr/bin/gtk-update-icon-cache
> >
> > Please help
> >
>